# norootforbuild
#!BuildIgnore:          post-build-checks
Name: 		mpeg4ip
Version: 	1.5.0.1
Release:	17.33
Summary: 	Set of linux video stream processing utilities
License: 	MPL
Group: 		Productivity/Multimedia/Video/Other
Url: 		http://www.mpeg4ip.net

Source:		http://dl.sourceforge.net/sourceforge/mpeg4ip/%name-%version.tar.bz2

Patch0:		mpeg4ip-1.3_configure.patch
Patch1:         mpeg4ip-1.4.1-gcc41.patch
Patch2:         mpeg4ip-1.4.1-x264r48.patch
Patch3:		mpeg4ip-1.5.0.1-gcc42.patch
Patch4:		mpeg4ip-1.5.0.1-gcc43.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL-devel a52dec esound-devel gcc-c++ glib2-devel gtk2-devel id3lib-devel lame libmpeg2 libmpeg2-devel libvorbis-devel mad-devel nasm pkgconfig libx264-devel xvid-devel
%if 0%{?suse_version} < 1000
BuildRequires:	slang-devel
%endif

%if 0%{?suse_version} < 1000 && 0%{?suse_version} > 910
BuildRequires:   xorg-x11-devel
%endif

%if 0%{?suse_version} <= 910 && 0%{?suse_version} > 0
BuildRequires:   XFree86-libs XFree86-devel
%endif 

%description
The MPEG4IP project provides a standarts-based system
for encoding, streaming and playing encoded auido and video.
This package contains libraries of the MPEG4IP project.

%package -n libmp4v2
Group:        System/Libraries
Summary:      MPEG4v2 library

%description -n libmp4v2
MPEG4v2 library

%package -n libmp4v2-devel
Group:        System/Libraries
Summary:      Files needed for development with libmp4v2
Requires:     libmp4v2 = %{version} SDL-devel

%description -n libmp4v2-devel
Files needed for development with libmp4v2

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2
%patch3 -p1
%patch4


%build
%if 0%{?suse_version} >= 1100
%__sed -i -e "s|nasm -r|nasm -v|g" configure
%endif
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./bootstrap \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--disable-player 
%__sed -i -e "s|-Werror||g" common/video/iso-mpeg4/src/Makefile
%__make

%install
%__make DESTDIR="%{buildroot}" install-strip

%post -n libmp4v2
/sbin/ldconfig

%postun -n libmp4v2
/sbin/ldconfig

%files
%defattr(-, root, root)
# utilitys
%_bindir/mp4creator
%_bindir/mp4info
%_bindir/mp4dump
%_bindir/mp4trackdump
%_bindir/mp4tags
%_bindir/mp4art
%_bindir/mp4videoinfo
# encoding tools
%_bindir/lboxcrop
%_bindir/rgb2yuv
%_bindir/avi2raw
# debugging tools
%_bindir/avidump
%_bindir/mpeg4vol
%_bindir/mpeg2video_parse
%_bindir/h264_parse
# unknown
%_bindir/mp4extract
%_bindir/mpeg_ps_extract
%_bindir/mpeg_ps_info
# server
%_bindir/mp4live
%_mandir/man1/*

%files -n libmp4v2
%defattr(-, root, root)
%_libdir/*.so.*

%files -n libmp4v2-devel
%defattr(-, root, root)
%_mandir/man3/*
%_mandir/manm/*
%_libdir/*.la
%_bindir/mpeg4ip-config
%_libdir/*.so
%_includedir/*
%_libdir/*.a

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

